Debian Bug report logs - #362164
ITA: libticalcs4 -- provides functions to communicate with TI calculators

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien BLACHE <jblache@debian.org>

Date: Wed, 12 Apr 2006 15:48:30 UTC

Owned by: Krzysztof Burghardt <krzysztof@burghardt.pl>

Severity: normal

Fixed in version libticalcs4/4.6.2-1

Done: Krzysztof Burghardt <krzysztof@burghardt.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362164; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libticalcs4 -- provides functions to communicate with TI calculators
Date: Wed, 12 Apr 2006 17:28:53 +0200
Package: wnpp
Severity: normal

Hi,

I intend to orphan the libticalcs4 package.

The package description is:
 The libticalcs provides a set of functions to communicate with Texas
 Instruments calculators. It implements the TI protocol for each type of
 calculator, independently of the link cable used to establish the link.
 .
 All graphing calculators from Texas Instruments are supported.
 .
 The documentation and development files are included in the libticalcs4-dev
 package.

You will probably be interested in the related, also orphaned, packages:
 tilp, tiemu, skinedit, tidev-modules-source, libtifiles0, libticables3

JB.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information stored:
Bug#362164; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 362164-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain LIEVIN <roms@tilp.info>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet@bugs.debian.org
Subject: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Tue, 27 Nov 2007 10:46:50 +0930
[Message part 1 (text/plain, inline)]
Hi,

The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
libtifiles and skinedit were orphaned by the previous maintainer, Julian
Blanche. Some of them now fail to build from source because the modules
packages were removed because they are apparently part of Linux now:

http://bugs.debian.org/362162

Are you interested in adopting these packages, or do you know any Debian
users who would be interested in keeping them in Debian and helping
maintain them? Ideally someone who has access to the hardware would be
good.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362164; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 362164-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>, Julien Blache <jb@jblache.org>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Wed, 28 Nov 2007 10:08:23 +0930
[Message part 1 (text/plain, inline)]
[keeping the bugs informed]

On Tue, 2007-11-27 at 21:12 +0100, Romain Liévin wrote:

> > The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
> > libtifiles and skinedit were orphaned by the previous maintainer, Julien
> > Blache. Some of them now fail to build from source because the modules
> > packages were removed because they are apparently part of Linux now:
> >
> > http://bugs.debian.org/362162
> 
> This is not fully exact: two of them (tipar/tiusb) are a part of the 
> Linux kernel tree but one of them (tiusb) has been removed from kernel. 
> Anyways, these modules are not needed any longer. TiLP2 provides a full 
> user-land support and relies on udev.

Ah, good to hear they aren't needed.

> > Are you interested in adopting these packages, or do you know any Debian
> > users who would be interested in keeping them in Debian and helping
> > maintain them? Ideally someone who has access to the hardware would be
> > good.
> 
> I may be interested in because 1) I did not find any users to manage 
> this 2) I have been managing my own Debian packages for 6 months 
> starting at JB's packages 3) I'm using Debian everywhere 4) I have 
> access to hardware (I'm the developer).
> 
> Nevertheless, I'm waiting for Julien Blache's phone calling before 
> giving you a final decision; Maybe you don't know: we are two guys 
> working on the three most importants projects (tilp/tiemu/tigcc) so 
> development is using a lot of my time.

Perhaps Julien would have time to sponsor your packages?

If not, here is the procedure to get the packages updated:

First read this:

http://people.debian.org/~mpalmer/debian-mentors_FAQ.html

Then get the packages uploaded to:

http://mentors.debian.net

Then ask for a sponsor on this list:

http://lists.debian.org/debian-mentors/

Once the sponsor is happy with your contributions, they can propose that
you become a DM (Debian Maintainer). DMs are people who can upload
specific packages to the archive:

http://www.debian.org/vote/2007/vote_003

Once you becomes a DM, you will be able to upload packages that you
maintain that a sponsor has previously tagged with a
"DM-Upload-Allowed: yes" field and signed and uploaded to Debian.
The DM process is a fairly new one, so we're still shaking out the bugs.

The other way to get direct upload rights (for any package) is to go
through NM. Currently this is a fairly long and arduous process that
requires some effort:

http://www.debian.org/devel/join/newmaint

> > I also note that src/win32/porttalk_ioctl.h is extremely non-free, and
> > shouldn't be distributed with libticables:
>    
> We fixed these issues few months ago by using MPlayer's driver (GPL'ed) 
> and we fixed TiEmu, too (it contained some unknown/non-free licensed code).

Ah, good to hear.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362164; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 362164-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Sat, 01 Dec 2007 07:00:57 +0930
[Message part 1 (text/plain, inline)]
On Fri, 2007-11-30 at 21:15 +0100, Romain Liévin wrote:

> Following JB's phone calling, I will maintain these packages.
>
> > Perhaps Julien would have time to sponsor your packages?
>  
> Yes, he agrees.

Excellent, keeping the bugs informed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Owner recorded as "Krzysztof Burghardt" <krzysztof@burghardt.pl>. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:09 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libticalcs4 -- provides functions to communicate' from `O: libticalcs4 -- provides functions to communicate with TI calculators'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:09 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libticalcs4 -- provides functions to \' from `ITA: libticalcs4 -- provides functions to communicate'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libticalcs4 -- provides functions to communicate with TI calculators' from `ITA: libticalcs4 -- provides functions to \'. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:33:05 GMT) Full text and rfc822 format available.

Owner changed from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 19:00:02 GMT) Full text and rfc822 format available.

Reply sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
You have taken responsibility. (Mon, 20 Oct 2008 14:24:08 GMT) Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. (Mon, 20 Oct 2008 14:24:08 GMT) Full text and rfc822 format available.

Message #35 received at 362164-close@bugs.debian.org (full text, mbox):

From: Krzysztof Burghardt <krzysztof@burghardt.pl>
To: 362164-close@bugs.debian.org
Subject: Bug#362164: fixed in libticalcs4 4.6.2-1
Date: Mon, 20 Oct 2008 14:17:05 +0000
Source: libticalcs4
Source-Version: 4.6.2-1

We believe that the bug you reported is fixed in the latest version of
libticalcs4, which is due to be installed in the Debian FTP archive:

libticalcs4-dev_4.6.2-1_amd64.deb
  to pool/main/libt/libticalcs4/libticalcs4-dev_4.6.2-1_amd64.deb
libticalcs4_4.6.2-1.diff.gz
  to pool/main/libt/libticalcs4/libticalcs4_4.6.2-1.diff.gz
libticalcs4_4.6.2-1.dsc
  to pool/main/libt/libticalcs4/libticalcs4_4.6.2-1.dsc
libticalcs4_4.6.2-1_amd64.deb
  to pool/main/libt/libticalcs4/libticalcs4_4.6.2-1_amd64.deb
libticalcs4_4.6.2.orig.tar.gz
  to pool/main/libt/libticalcs4/libticalcs4_4.6.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362164@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Krzysztof Burghardt <krzysztof@burghardt.pl> (supplier of updated libticalcs4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Oct 2008 00:08:59 +0200
Source: libticalcs4
Binary: libticalcs4-dev libticalcs4
Architecture: source amd64
Version: 4.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Krzysztof Burghardt <krzysztof@burghardt.pl>
Description: 
 libticalcs4 - provides functions to communicate with TI calculators
 libticalcs4-dev - provides functions to communicate with TI calculators [developmen
Closes: 362164
Changes: 
 libticalcs4 (4.6.2-1) unstable; urgency=low
 .
   * New upstream release.
   * New maintainer (closes: #362164)
   * Fixed all lintian warrnings
   * Bumped Standards-Version to 3.8.0 (no change needed)
Checksums-Sha1: 
 78698279dc9a0ed79c939269f60a2c7277a1fb01 1132 libticalcs4_4.6.2-1.dsc
 192072074027266cb6fd32c99412470e2c1cf7fb 540436 libticalcs4_4.6.2.orig.tar.gz
 47813c8473a7192f1dda31836353017a070ab0fc 3055 libticalcs4_4.6.2-1.diff.gz
 1613b17de4df1942222c644e74f9ba4ffe55979b 111464 libticalcs4-dev_4.6.2-1_amd64.deb
 2f9b3fa797465673f85ad92d02360469133508d2 87468 libticalcs4_4.6.2-1_amd64.deb
Checksums-Sha256: 
 802644c57cbfa5678ce09a7f20a4e0b2a9d619a169834fb960da4ce14224ec10 1132 libticalcs4_4.6.2-1.dsc
 3a34f88aec7db96cf6d02d1510182a4eb6de521505d8561477e6d4fc6f153188 540436 libticalcs4_4.6.2.orig.tar.gz
 53b209fe95bc6c47c28272c53d35cb22239faa029202e39fc6d8a2bc57fc4b91 3055 libticalcs4_4.6.2-1.diff.gz
 1a1f6c95de3c4aa6626b29aa24ca18d4c4b9b101fd832e1a3c4bfd2ef752eae5 111464 libticalcs4-dev_4.6.2-1_amd64.deb
 86322daa77a8cda576b65824e15914d568bde8cc4ae766883a0aac8c745ebd97 87468 libticalcs4_4.6.2-1_amd64.deb
Files: 
 0c1d43e6dfe8fc60f8475d4dc4df8780 1132 libs optional libticalcs4_4.6.2-1.dsc
 be266c57fbea7608e82451d388c02430 540436 libs optional libticalcs4_4.6.2.orig.tar.gz
 e8489ad8c42eecb4c9c94f1248c16837 3055 libs optional libticalcs4_4.6.2-1.diff.gz
 51ea1b81e7863aa4940d3ed5b4022cc6 111464 libdevel optional libticalcs4-dev_4.6.2-1_amd64.deb
 dd4ee12bbcad112f205df94102988ecf 87468 libs optional libticalcs4_4.6.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI/I54zWFP1/XWUWkRAudrAKDVw2UGdraAKTIVv0EUqqvJJLLdyACfYbZF
Fp2HMtnv6djFlV4xI8+E9Q8=
=vkPg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Nov 2008 07:30:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:20:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.